<?xml version='1.0'?>
<!-- vim: sw=2 sta et
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
                exclude-result-prefixes="doc"
                version='1.0'
                xml:lang="en">

<!-- ********************************************************************
     $Id: charmap2.xsl,v 1.2 2004/08/13 01:33:39 stevecheng Exp $
     ********************************************************************

     (C) 2003-2004 Steve Cheng <stevecheng@users.sourceforge.net>

     Part of docbook2X.  
     
     See ../../COPYING for the copyright status of this software.
     
     ******************************************************************** -->

<xsl:template name="apply-character-map">
  <xsl:param name="content" select="''"/>
  <xsl:param name="character-map" select="NOTHING" />
  <xsl:param name="entry" 
             select="$character-map/xsl:character-map/xsl:output-character[1]" />

  <xsl:choose>
    <xsl:when test="not($entry)">
      <xsl:value-of select="$content" />
    </xsl:when>

    <xsl:otherwise>
      <xsl:call-template name="apply-character-map">
        <xsl:with-param name="content">
          <xsl:call-template name="string-subst">
            <xsl:with-param name="content" select="$content" />
            <xsl:with-param name="replace" select="$entry[1]/@character" />
            <xsl:with-param name="with"    select="$entry[1]/@string" />
          </xsl:call-template>
        </xsl:with-param>
        <xsl:with-param name="entry" 
                        select="$entry[1]/following-sibling::xsl:output-character[1]" />
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
        
</xsl:stylesheet>
