<?xml version='1.0'?>
<!-- vim: sw=2 sta et
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
                exclude-result-prefixes="doc"
                version='1.0'
                xml:lang="en">

<!-- ********************************************************************
     $Id: table.xsl,v 1.4 2004/08/07 15:36:32 stevecheng Exp $
     ********************************************************************

     (C) 2000-2004 Steve Cheng <stevecheng@users.sourceforge.net>

     This file is part of the docbook2X XSLT stylesheets for
     converting DocBook to man pages.

     See ../../COPYING for the copyright status of this software.

     ******************************************************************** -->

<doc:reference xmlns="">
<title>Table support</title>
</doc:reference>

<!-- ==================================================================== -->

<xsl:template match="table">
  <xsl:call-template name="formal-object-title" />
  <table>
    <xsl:apply-templates select="@*" mode="copy" />
    <xsl:apply-templates />
  </table>
</xsl:template>

<xsl:template match="informaltable">
  <table>
    <xsl:apply-templates select="@*" mode="copy" />
    <xsl:apply-templates />
  </table>
</xsl:template>

<xsl:template match="tgroup">
  <xsl:copy>
    <xsl:apply-templates select="@*" mode="copy" />
    <xsl:apply-templates select="colspec|spanspec" />
    <xsl:apply-templates select="thead" />
    <xsl:apply-templates select="tbody" />
    <xsl:apply-templates select="tfoot" />
  </xsl:copy>
</xsl:template>

<xsl:template match="colspec|spanspec">
  <xsl:call-template name="copy-through" />
</xsl:template>

<xsl:template match="thead|tbody|tfoot">
  <xsl:call-template name="copy-through" />
</xsl:template>

<xsl:template match="row">
  <xsl:call-template name="copy-through" />
</xsl:template>

<xsl:template match="entry">
  <entry>
    <xsl:apply-templates select="@*" mode="copy" />
    <xsl:apply-templates />
  </entry>
</xsl:template>

<xsl:template name="copy-through">
  <xsl:copy>
    <xsl:apply-templates select="@*" mode="copy" />
    <xsl:apply-templates />
  </xsl:copy>
</xsl:template>

<xsl:template match="@*" mode="copy">
  <xsl:copy>
    <xsl:value-of select="." />
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>
